List Projects
curl --request GET \
--url https://{host}/timmi-project/api/v4/projects \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/timmi-project/api/v4/projects"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/timmi-project/api/v4/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "<string>",
"prev": "<string>",
"count": 1,
"items": [
{
"name": "<string>",
"id": 2,
"code": "<string>",
"client": {
"id": 123,
"name": "<string>",
"code": "<string>",
"externalCode": "<string>"
},
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"picture": {
"href": "<string>"
},
"dtContractEnd": "2023-12-25",
"establishmentId": 2
},
"status": "draft",
"contractType": "nonBillable",
"startsOn": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"price": {
"amount": 123
},
"authorizedActions": [],
"organizationId": 2,
"description": "",
"initialDeliveryDate": "2023-12-25",
"revisedDeliveryDate": "2023-12-25",
"launchedAt": "2023-11-07T05:31:56Z",
"lastChargedOn": "2023-12-25",
"standardRateCard": {
"id": 2,
"name": "<string>"
},
"initialTimeEstimate": {
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
},
"revisedTimeEstimate": {
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
},
"standardRate": {
"price": {
"amount": 123
}
},
"billRate": {
"price": {
"amount": 123
}
},
"initialBudget": {
"amount": 123
},
"revisedBudget": {
"amount": 123
},
"discount": {
"amount": 123
},
"discountRate": 123,
"estimatedOverrun": {
"amount": 123
},
"initialRecoveryRate": 123,
"estimatedRecoveryRate": 123,
"totalInvoiced": {
"amount": 123
},
"risks": [
{
"label": "<string>"
}
],
"anomalies": [
{
"label": "<string>"
}
],
"invoicingWarnings": [
{
"applicableFrom": "2023-12-25",
"preventsInvoicing": true,
"label": "<string>"
}
]
}
]
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}Projects
List Projects
List projects from an organization. Only returns a subset of a Project fields.
GET
/
timmi-project
/
api
/
v4
/
projects
List Projects
Search Query Parameter
Search Query Parameter
The search query parameter takes a list of words and enables you to only return projects whose code or name (or those of their clients) contains all those words.
GET /api/v4/projects?organizationId=1&search=pro,avat&fields.root=count HTP/1.1
{
"count": 2,
"items": [
{
"id": 1,
"name": "Project",
"code": "Avatar",
"client": {
"name": "James Cameron",
"code": "CAMERON"
}
},
{
"id": 2,
"name": "Avatar Project",
"code": "Awesomeness",
"client": {
"name": "Advent",
"code": "ADVENT"
}
},
{
"id": 3,
"name": "Test",
"code": "Test",
"client": {
"name": "Avatar",
"code": "project"
}
}
]
}
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
Filter on a single organization unique identifier.
Comma-separated list of codes / names to search for
Page size
Page number
Required range:
x >= 1Return total items count (across all pages).
Available options:
count Only returns projects whose code is strictly equal to sent value
Was this page helpful?
⌘I